import type { Column, Filters, SortInfo } from '../types';
interface ViewportRowsArgs<R, SR> {
    rawRows: readonly R[];
    rowHeight: number;
    clientHeight: number;
    scrollTop: number;
    enableVirtualization: boolean;
    rawColumns: readonly Column<R, SR>[];
    sortInfo: SortInfo;
    rowFilters: Filters;
    searchKey?: string;
}
export declare function useViewportRows<R, SR>({ rawRows, rawColumns, rowHeight, clientHeight, scrollTop, enableVirtualization, sortInfo, rowFilters, searchKey }: ViewportRowsArgs<R, SR>): {
    rowOverscanStartIdx: number;
    rowOverscanEndIdx: number;
    rows: R[];
    rowsCount: number;
    rowVisibleStartIdx?: undefined;
    rowVisibleEndIdx?: undefined;
} | {
    rowOverscanStartIdx: number;
    rowOverscanEndIdx: number;
    rowVisibleStartIdx: number;
    rowVisibleEndIdx: number;
    rows: R[];
    rowsCount: number;
};
export {};
//# sourceMappingURL=useViewportRows.d.ts.map